[Overview][Classes][Procedures and functions][Index] | Reference for unit 'XMLPropStorage' (#lcl)

# TXMLConfigStorage.GetFullPathValue

Gets the String value stored at the specified path in the XML storage.

## Declaration

Source position: xmlpropstorage.pas line 82

`protected function TXMLConfigStorage.GetFullPathValue(`
`const APath: string;`
`const ADefault: string`
`):string; override; function TXMLConfigStorage.GetFullPathValue(`
`const APath: string;`
`ADefault: Integer`
`):Integer; override; function TXMLConfigStorage.GetFullPathValue(`
`const APath: string;`
`ADefault: Boolean`
`):Boolean; override;`

## Arguments

`APath` |  | Path to the XML node with the requested value.
`ADefault` |  | Default value returned if APath is not found in the internal storage.

## Function result

Value retrieved from the internal storage, or ADefault when the path is not found.

## Arguments

`APath` |  | Path to the XML node with the requested value.
`ADefault` |  | Default value returned if APath is not found in the internal storage.

## Arguments

`APath` |  | Path to the XML node with the requested value.
`ADefault` |  | Default value returned if APath is not found in the internal storage.

## Description

Calls the GetValue method for the internal TXMLConfig instance.